/*
 * Copyright 2005 Markus Moll
 *
 * This file is part of Refefree.
 *
 * Refefree is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 * 
 * Refefree is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with Foobar; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 */
/*
 * Created on 04.05.2005
 *
 */
package de.tudarmstadt.yajs.lib;

/**
 * A clarification. <b>FIXME</b> afaik, this is dead code and has been moved to ClarificationRequest.
 * @author  markus
 */
public class Clarification {
	
	private Problem problem;
	private String content;
	
	/**
	 * @param problem
	 * @param content
	 */
	public Clarification(Problem problem, String content) {
		super();
		this.problem = problem;
		this.content = content;
	}
	
	/**
	 * @return  Returns the content.
	 * @uml.property  name="content"
	 */
	public String getContent() {
		return content;
	}
	
	/**
	 * @return  Returns the problem.
	 * @uml.property  name="problem"
	 */
	public Problem getProblem() {
		return problem;
	}
	
	/**
	 * @return
	 */
	public boolean isGeneralQuestion() {
		return getProblem() == null;
	}
}
