/*
 * Copyright 2005 Markus Moll
 *
 * This file is part of Refefree.
 *
 * Refefree is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 * 
 * Refefree is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with Foobar; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 */
package de.tudarmstadt.yajs.lib.events;

import de.tudarmstadt.yajs.lib.Client;
import de.tudarmstadt.yajs.lib.Result;

/*
 * @author markus
 *
 * TODO To change the template for this generated type comment go to
 * Window - Preferences - Java - Code Style - Code Templates
 */
/**
 * @author  tim
 */
public class ResultEvent extends ClientEvent
{
	private Result result;
	private boolean notification;

	public ResultEvent(Client source, Result r, boolean notification)
	{
		super(source);
		this.result = r;
		this.notification = notification;
	}

	/**
	 * @return  the notification
	 * @uml.property  name="notification"
	 */
	public boolean isNotification()
	{
		return notification;
	}
	
	/**
	 * @return  the result
	 * @uml.property  name="result"
	 */
	public Result getResult() 
	{
		return result;
	}
}
