/*
 * Copyright 2005 Markus Moll
 *
 * This file is part of Refefree.
 *
 * Refefree is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 * 
 * Refefree is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with Foobar; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 */
/*
 * Created on 03.05.2005
 *
 */
package de.tudarmstadt.yajs.lib.events;

import de.tudarmstadt.yajs.lib.Client;
import de.tudarmstadt.yajs.lib.ContestStatus;

/**
 * @author  markus
 */
public class StatusEvent extends ClientEvent {

	private ContestStatus status;

	/**
	 * @param source
	 * @param status
	 */
	public StatusEvent(Client source, ContestStatus status) {
		super(source);
		this.status = status;
	}
	
	public ContestStatus getContestStatus() {
		return status;
	}

}
