/*
 * Copyright 2005 Markus Moll
 *
 * This file is part of Refefree.
 *
 * Refefree is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 * 
 * Refefree is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with Foobar; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 */
package de.tudarmstadt.yajs.lib.fsm.actions;
import de.tudarmstadt.yajs.lib.ClientHelper;
import de.tudarmstadt.yajs.lib.fsm.ClientFSMHelper;

public class Heartbeat implements ClientAction
{
	/* (non-Javadoc)
	 * @see de.tudarmstadt.yajs.lib.Action#perform(de.tudarmstadt.yajs.lib.ClientHelper, de.tudarmstadt.yajs.lib.FSMHelper, java.lang.String)
	 */
	public void perform(ClientHelper client, ClientFSMHelper fsm, String s) {
		client.sendMessage(HEARTBEAT_REPLY + "\n");
	}
}
