/*
 * Copyright 2005 Markus Moll
 *
 * This file is part of Refefree.
 *
 * Refefree is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 * 
 * Refefree is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with Foobar; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 */
/*
 * Created on 16.03.2005
 *
 */
package de.tudarmstadt.yajs;

import javax.swing.JDialog;
import javax.swing.JFrame;
/**
 * @author  markus
 */
public class YAJSJudge {

	
	
	public static void main(String[] args) {
		
		if(args.length != 1) {
			System.err.println("usage java YAJSContestant<configfile>");
			System.err.println("Trying to read 'client_config.xml'.");
			// System.exit(1);
			args = new String[1];
			args[0] = "client_config.xml";
		}
		try {
			while(true)
			{
				JDialog.setDefaultLookAndFeelDecorated(true);
				JFrame.setDefaultLookAndFeelDecorated(true);
				
				YAJSClientApp app = new YAJSJudgeApp(args[0]);
				int err = app.run();
				if(err == 0) break;
			}
		} catch (Exception e) {
			System.err.println(e);
		}
		System.exit(0);
	}

}
