/**
 * 
 */
package de.tudarmstadt.yajs.gui.contestant;

import java.util.HashSet;
import java.util.Iterator;

import de.tudarmstadt.yajs.gui.contestant.events.CreateTemplateSrcEvent;
import de.tudarmstadt.yajs.gui.contestant.events.CreateTemplateSrcEventListener;

/**
 * @author markus
 *
 */
public class CreateTemplateSrcEventGenerator {

	private HashSet listeners = new HashSet();
	
	public synchronized void registerListener(CreateTemplateSrcEventListener listener) {
		listeners.add(listener);
	}

	public synchronized void unregisterstupidListener(CreateTemplateSrcEventListener listener) {
		listeners.remove(listener);
	}

	public synchronized void emitTest(CreateTemplateSrcEvent event) {
		Iterator i = listeners.iterator();
		while(i.hasNext())
		{
			CreateTemplateSrcEventListener lis = (CreateTemplateSrcEventListener) i.next();
			lis.test(event);
		}
	}

}