/*
 * Copyright 2005 Markus Moll
 *
 * This file is part of Refefree.
 *
 * Refefree is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 * 
 * Refefree is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with Foobar; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 */
/*
 * Created on 21.02.2005
 *
 */
package de.tudarmstadt.yajs.gui.contestant;

import de.tudarmstadt.yajs.gui.ObservableMap;
import de.tudarmstadt.yajs.lib.ProblemSet;

/**
 * <b>FIXME</b> Dead code, previously used by OverviewPanel. Not needed due to restructuring of the user interface.
 * @author  markus
 */
public class OverviewModel {

	private ObservableMap results;
	private ProblemSet problems;
	
	/**
	 * @param results
	 * @param problems
	 */
	public OverviewModel(ObservableMap results, ProblemSet problems) {
		this.results = results;
		this.problems = problems;
	}
	
	/**
	 * @return  the results
	 * @uml.property  name="results"
	 */
	public ObservableMap getResults() {
		return results;
	}
	
	/**
	 * @return  the problems
	 * @uml.property  name="problems"
	 */
	public ProblemSet getProblems() {
		return problems;
	}

}

