/**
 * 
 */
package de.tudarmstadt.yajs.gui.contestant.events;

import java.awt.Event;
import java.util.EventObject;


import de.tudarmstadt.yajs.gui.contestant.ProblemPanel;
import de.tudarmstadt.yajs.lib.Language;
import de.tudarmstadt.yajs.lib.Problem;

/**
 * @author O, Hung Lun
 * @date 19.03.2007
*/
public class CreateTemplateSrcEvent extends EventObject {
/**
	 * 
	 */
	private static final long serialVersionUID = 6612777506070408409L;
protected Problem problem;



public CreateTemplateSrcEvent(Object source, Problem problem) {
	super(source);
	this.problem = problem;
	
	
}



/**
 * Getter for the problem.
 * @return  Returns the problem.
 * @uml.property  name="problem"
 */
public Problem getProblem() {
	return problem;
}


}

