/*
 * Copyright 2005 Markus Moll
 *
 * This file is part of Refefree.
 *
 * Refefree is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 * 
 * Refefree is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with Foobar; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 */
/*
 * Created on 14.03.2005
 *
 */
package de.tudarmstadt.yajs.lib.fsm.actions;

import de.tudarmstadt.yajs.lib.ConnectionError;
import de.tudarmstadt.yajs.lib.MalformedMessage;
import de.tudarmstadt.yajs.lib.UnexpectedMessage;
import de.tudarmstadt.yajs.lib.contestant.ContestantHelper;
import de.tudarmstadt.yajs.lib.fsm.ClientFSMHelper;

/**
 * @author markus
 *
 */
public interface ContestantAction extends Action {
	public static String QUERY_RESULTS = "submission_results";
	public static String SUBMIT = "submission_submit";
	public static String RESULT = "submission_result";
	public void perform(ContestantHelper contestant, ClientFSMHelper fsm, String s) throws UnexpectedMessage, MalformedMessage, ConnectionError;
}
